<?
require'../config.php';
$align='left';
$title='голосования';
aut();
head();


if (!isset($user) || $user['level']<9)
{
header("Location: index.php?".SID."");
exit;
}


if (isset($_GET['act']) && $_GET['act']=='add' && isset($_POST['name']) && isset($_POST['1']) && isset($_POST['2']) && $_POST['1']!='' && $_POST['2']!='')
{
$name=$_POST['name'];
if (isset($_POST['tr']))
{
$name=translit($name);
}
for ($i=1;$i<=8;$i++)
{
if (isset($_POST[$i]))
{
$v[$i]=stripslashes(htmlspecialchars($_POST[$i]));
$v[$i]=base64_encode($v[$i]);
}
else
{
$v[$i]='';
}
}



$name=stripslashes(htmlspecialchars($name));
$name=base64_encode($name);
mysql_query("INSERT INTO `$mysql[pref]voice` (`time`, `name`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`)
values('$time', '$name', '$v[1]', '$v[2]', '$v[3]', '$v[4]', '$v[5]', '$v[6]', '$v[7]', '$v[8]');");

header("Location: index.php?".SID."&msg=add");
exit;
}






echo "<div class=\"h\"><b>Добавить голосование</b></div><hr />\n";

if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"../SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"../mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";

echo "<form method=\"post\" action=\"add.php?act=add\">\n";
echo "* - обязательны к заполнению<br />\n";
echo "Название: *<br />\n<input name=\"name\" class=\"form\" type=\"text\" /><br />\n";

echo "1) Ответ: *<br />\n<input name=\"1\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "2) Ответ: *<br />\n<input name=\"2\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "3) Ответ:<br />\n<input name=\"3\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "4) Ответ:<br />\n<input name=\"4\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "5) Ответ:<br />\n<input name=\"5\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "6) Ответ:<br />\n<input name=\"6\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "7) Ответ:<br />\n<input name=\"7\" class=\"form\" type=\"text\" value=\"\" /><br />\n";
echo "8) Ответ:<br />\n<input name=\"8\" class=\"form\" type=\"text\" value=\"\" /><br />\n";


echo "<input value=\"Добавить\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";
echo "<br />\n";


echo "<a href=\"index.php\">Вернуться</a>\n";
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>